mr_bones_    15/03/23 01:20:06

  Modified:             quesoglc-0.7.2.ebuild ChangeLog
  Log:
  EAPI=5
  
  (Portage version: 2.2.14/cvs/Linux x86_64, unsigned Manifest commit)

Revision  Changes    Path
1.6                  media-libs/quesoglc/quesoglc-0.7.2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/quesoglc/quesoglc-0.7.2.ebuild?rev=1.6&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/quesoglc/quesoglc-0.7.2.ebuild?rev=1.6&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/quesoglc/quesoglc-0.7.2.ebuild?r1=1.5&r2=1.6

Index: quesoglc-0.7.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-libs/quesoglc/quesoglc-0.7.2.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- quesoglc-0.7.2.ebuild       5 May 2012 08:02:43 -0000       1.5
+++ quesoglc-0.7.2.ebuild       23 Mar 2015 01:20:06 -0000      1.6
@@ -1,8 +1,10 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/quesoglc/quesoglc-0.7.2.ebuild,v 
1.5 2012/05/05 08:02:43 jdhore Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/quesoglc/quesoglc-0.7.2.ebuild,v 
1.6 2015/03/23 01:20:06 mr_bones_ Exp $
+
+EAPI=5
+inherit eutils
 
-EAPI=2
 DESCRIPTION="A free implementation of the OpenGL Character Renderer (GLC)"
 HOMEPAGE="http://quesoglc.sourceforge.net/";
 SRC_URI="mirror://sourceforge/${PN}/${P}-free.tar.bz2"
@@ -10,7 +12,7 @@
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="amd64 ppc sparc x86"
-IUSE="doc examples"
+IUSE="doc examples static-libs"
 
 RDEPEND="virtual/opengl
        virtual/glu
@@ -28,28 +30,28 @@
 src_configure() {
        # Uses its own copy of media-libs/glew with GLEW_MX
        econf \
-               --disable-dependency-tracking \
                --disable-executables \
                --with-fribidi \
-               --without-glew
+               --without-glew \
+               $(use_enable static-libs static)
 }
 
 src_compile() {
-       emake || die "emake failed"
+       emake
        if use doc ; then
                cd docs
-               doxygen -u Doxyfile && doxygen || die "doxygen failed"
+               doxygen -u Doxyfile && doxygen || die
        fi
 }
 
 src_install() {
-       emake DESTDIR="${D}" install || die "emake install failed"
-       dodoc AUTHORS ChangeLog README THANKS
+       default
        if use doc ; then
-               dohtml docs/html/* || die "dohtml failed"
+               dohtml docs/html/*
        fi
        if use examples ; then
                insinto /usr/share/doc/${PF}/examples
-               doins examples/*.c || die "doins failed"
+               doins examples/*.c
        fi
+       prune_libtool_files
 }



1.15                 media-libs/quesoglc/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/quesoglc/ChangeLog?rev=1.15&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/quesoglc/ChangeLog?rev=1.15&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/quesoglc/ChangeLog?r1=1.14&r2=1.15

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-libs/quesoglc/ChangeLog,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -r1.14 -r1.15
--- ChangeLog   5 May 2012 08:02:43 -0000       1.14
+++ ChangeLog   23 Mar 2015 01:20:06 -0000      1.15
@@ -1,6 +1,9 @@
 # ChangeLog for media-libs/quesoglc
-# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/quesoglc/ChangeLog,v 1.14 
2012/05/05 08:02:43 jdhore Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/quesoglc/ChangeLog,v 1.15 
2015/03/23 01:20:06 mr_bones_ Exp $
+
+  23 Mar 2015; Michael Sterrett <[email protected]> quesoglc-0.7.2.ebuild:
+  EAPI=5
 
   05 May 2012; Jeff Horelick <[email protected]> quesoglc-0.7.2.ebuild:
   dev-util/pkgconfig -> virtual/pkgconfig
@@ -50,4 +53,3 @@
   20 Mar 2008; Tristan Heaven <[email protected]> +metadata.xml,
   +quesoglc-0.7.1.ebuild:
   Initial commit, bug #195096
-




Reply via email to